@media screen and (max-width:1024px) {
    header {
        grid-template-columns: 40% 5% 55%;
    }

    header h2 {
        margin-left: 5rem;
    }

    header ul li {
        font-size: 1.2rem;
    }

    #introduction div:first-child {
        margin-left: 5rem;
    }

    #introduction div:nth-child(2) {
        margin: 0rem 0rem;
    }

    #about div:first-child {
        margin-left: 5rem;
        margin-right: 0rem;
    }

    #about div:nth-child(2) {
        margin-right: 1.5rem;
        margin-left: 3rem;
    }

    #services h2 {
        margin-left: 5rem;
    }

    #services>div {
        margin: 3rem 5rem;
        gap: 0.5rem;
    }

    .service {
        /* width: 25rem;
        height: 22rem; */
        padding: 1rem;
    }

    #myproject>div {
        gap: 1rem;
        margin: 2rem 1rem;
    }

    #myproject>h2 {
        margin-top: 3rem;
    }


    #contectme>h2 {
        margin-top: 3rem; 
    }
    .inputCollection {
        margin:3rem 5rem 0rem 5rem ;
    }
    textarea{
        height: 10rem;
    }
}



@media screen and (max-width:768px) {
    header {
        grid-template-columns: 40% 5% 55%;
    }

    header h2 {
        margin-left: 2rem;
    }

    header ul li {
        font-size: 1rem;
    }

    #introduction div:first-child {
        margin-left: 2rem;
    }

    #about div:first-child {
        margin-left: 2rem;
        margin-right: 0rem;
    }

    #about div:nth-child(2) {
        margin-right: 1.5rem;
        margin-left: 2rem;
    }

    #services h2 {
        margin-left: 2rem;
    }

    #services>div {
        margin: 3rem 2rem;
        gap: 0.5rem;
    }

    .service {
        padding: 0.8rem;
    }

    .inputCollection {
        margin:2rem 3rem ;
    }
}


@media screen and (max-width:426px) {

    header {
        grid-template-columns: 90% 10%;
        height: auto;
    }

    header h2 {
        margin-left: 1rem;
    }

    header ul {
        display: flex;
        flex-direction: column;
        margin-top: 1rem;
        display: none;
    }

    header ul li {
        height: 2rem;
    }

    header nav {
        margin-left: 1rem;
    }

    header i {
        visibility: visible;
    }

    #introduction {
        grid-template-columns: 100%;
        grid-template-rows: 50% 50%;
        margin: 25% 5%;
        height: 100%;
    }

    #introduction div:first-child {
        margin-left: 0rem;
        margin-top: 1rem;
    }

    #introduction div:nth-child(2) {
        grid-row: 1/2;
        margin-bottom: 3%;
        margin: 0rem 0.1rem;
    }

    #typing {
        flex-direction: column;
        align-items: start;
    }

    .write {
        margin-left: 0rem;
    }

    #introduction h1,
    #introduction h2 {
        margin-top: 0rem;
    }

    #introduction p {
        margin-top: 1rem;
    }

    #introduction button,
    #icons {
        margin-top: 3rem;
    }


    #about {
        grid-template-columns: 100%;
        grid-template-rows: 50% 50%;
        height: 100%;
    }

    #about div:first-child {
        margin-left: 3rem;
        margin-right: 3rem;
        justify-content: center;
        margin-top: 1.5rem;
    }

    #about div:nth-child(2) {
        margin: 1.5rem;
    }
    #about p{
        font-size: 0.9rem;
    }

    #services {
        height: 100%;
    }

    #services h2 {
        margin: 2rem 0rem;
        text-align: center;
    }

    #services>div {
        flex-direction: column;
        align-items: center;
        margin: 2rem 0rem;
    }

    .service {
        width: 22rem;
        padding: 2rem 1rem;
    }

    #myproject {
        height: 100%;
    }

    #myproject>h2 {
        margin-top: 1rem;
    }

    #myproject>div {
        flex-direction: column;
        gap: 1rem;
        /* margin: 1rem 1rem; */
        align-items: center;
    }

    .project1,
    .project2 {
        width: 22rem;
        height: 18rem;
        border: 1px solid;
        border-radius: 10px;
        background-color: var(--bg-color1);
        padding: 0.5rem;
        position: relative;
    }

    .over1,
    .over2 {
        padding: 1rem;
    }

    #contectme{
        height: 100%;
    }
    #contectme>h2 {
        margin-top: 3rem;
    }
    .inputCollection {
        margin:2rem 0.5rem 0rem 0.5rem;
        grid-template-columns: 100%;
        grid-template-rows: repeat(20%,1fr);
    }
    .inputCollection input{
        padding: 1rem;
    }
    .inputCollection textarea{
        height: 10rem;
        grid-column: 1/span 1;
    }
}